<html>
<head>
<title>Ogre::D3D11VideoMode Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D11VideoMode Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D11VideoMode" -->
<p><code>#include &lt;<a class="el" href="OgreD3D11VideoMode_8h_source.html">OgreD3D11VideoMode.h</a>&gt;</code></p>

<p><a href="classOgre_1_1D3D11VideoMode-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a671cc499a478eae0f6d5c626bde7a518">D3D11VideoMode</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#ace0a08922e0e4c3588ab287fd6a35a3e">D3D11VideoMode</a> (const <a class="el" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a> &amp;ob)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a50ec25f1ea610b2eae1633b7e6392fe4">D3D11VideoMode</a> (DXGI_OUTPUT_DESC d3ddm, DXGI_MODE_DESC ModeDesc)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#aed2d01b995a1b9cbb438fe44e42f4e92">~D3D11VideoMode</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#adfe7cdaf5f650a70f03ec0b75ec7f379">getWidth</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a589c0eb7b78c68ccb9f9f78997497d7e">getHeight</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">DXGI_FORMAT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a288eec25b61296f66f974be862ddfba8">getFormat</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">DXGI_RATIONAL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a889dfa6ecb73b6c306e5ca0c6c1e6450">getRefreshRate</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a7b1d5ac68ca94a903fde97e48da11f23">getColourDepth</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">DXGI_OUTPUT_DESC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#ab6fdbd4bc0549af0867e8e58b402e38a">getDisplayMode</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">DXGI_MODE_DESC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a36a2a9eddde83a15db2d0fd8307f1093">getModeDesc</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#ae72d8bb557e64d2fb42e7776eb1fa651">increaseRefreshRate</a> (DXGI_RATIONAL rr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a9107277d8b5c6e771400586f99a61e94">getDescription</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">DXGI_OUTPUT_DESC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#ab93999ea7274f52091cf83ae0eaa1323">mDisplayMode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">DXGI_MODE_DESC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a86ea17b0769a979b8ff4ccf9e7f87da1">mModeDesc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a5353217f4f52fb6e9dd27110732a4387">modeNumber</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D11VideoMode_8h_source.html#l00037">37</a> of file <a class="el" href="OgreD3D11VideoMode_8h_source.html">OgreD3D11VideoMode.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a671cc499a478eae0f6d5c626bde7a518"></a><!-- doxytag: member="Ogre::D3D11VideoMode::D3D11VideoMode" ref="a671cc499a478eae0f6d5c626bde7a518" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a671cc499a478eae0f6d5c626bde7a518">Ogre::D3D11VideoMode::D3D11VideoMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ace0a08922e0e4c3588ab287fd6a35a3e"></a><!-- doxytag: member="Ogre::D3D11VideoMode::D3D11VideoMode" ref="ace0a08922e0e4c3588ab287fd6a35a3e" args="(const D3D11VideoMode &amp;ob)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a671cc499a478eae0f6d5c626bde7a518">Ogre::D3D11VideoMode::D3D11VideoMode</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a> &amp;&#160;</td>
          <td class="paramname"><em>ob</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a50ec25f1ea610b2eae1633b7e6392fe4"></a><!-- doxytag: member="Ogre::D3D11VideoMode::D3D11VideoMode" ref="a50ec25f1ea610b2eae1633b7e6392fe4" args="(DXGI_OUTPUT_DESC d3ddm, DXGI_MODE_DESC ModeDesc)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11VideoMode.html#a671cc499a478eae0f6d5c626bde7a518">Ogre::D3D11VideoMode::D3D11VideoMode</a> </td>
          <td>(</td>
          <td class="paramtype">DXGI_OUTPUT_DESC&#160;</td>
          <td class="paramname"><em>d3ddm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">DXGI_MODE_DESC&#160;</td>
          <td class="paramname"><em>ModeDesc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aed2d01b995a1b9cbb438fe44e42f4e92"></a><!-- doxytag: member="Ogre::D3D11VideoMode::~D3D11VideoMode" ref="aed2d01b995a1b9cbb438fe44e42f4e92" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11VideoMode.html#aed2d01b995a1b9cbb438fe44e42f4e92">Ogre::D3D11VideoMode::~D3D11VideoMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7b1d5ac68ca94a903fde97e48da11f23"></a><!-- doxytag: member="Ogre::D3D11VideoMode::getColourDepth" ref="a7b1d5ac68ca94a903fde97e48da11f23" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1D3D11VideoMode.html#a7b1d5ac68ca94a903fde97e48da11f23">Ogre::D3D11VideoMode::getColourDepth</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9107277d8b5c6e771400586f99a61e94"></a><!-- doxytag: member="Ogre::D3D11VideoMode::getDescription" ref="a9107277d8b5c6e771400586f99a61e94" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1D3D11VideoMode.html#a9107277d8b5c6e771400586f99a61e94">Ogre::D3D11VideoMode::getDescription</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab6fdbd4bc0549af0867e8e58b402e38a"></a><!-- doxytag: member="Ogre::D3D11VideoMode::getDisplayMode" ref="ab6fdbd4bc0549af0867e8e58b402e38a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DXGI_OUTPUT_DESC <a class="el" href="classOgre_1_1D3D11VideoMode.html#ab6fdbd4bc0549af0867e8e58b402e38a">Ogre::D3D11VideoMode::getDisplayMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a288eec25b61296f66f974be862ddfba8"></a><!-- doxytag: member="Ogre::D3D11VideoMode::getFormat" ref="a288eec25b61296f66f974be862ddfba8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DXGI_FORMAT <a class="el" href="classOgre_1_1D3D11VideoMode.html#a288eec25b61296f66f974be862ddfba8">Ogre::D3D11VideoMode::getFormat</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a589c0eb7b78c68ccb9f9f78997497d7e"></a><!-- doxytag: member="Ogre::D3D11VideoMode::getHeight" ref="a589c0eb7b78c68ccb9f9f78997497d7e" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1D3D11VideoMode.html#a589c0eb7b78c68ccb9f9f78997497d7e">Ogre::D3D11VideoMode::getHeight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a36a2a9eddde83a15db2d0fd8307f1093"></a><!-- doxytag: member="Ogre::D3D11VideoMode::getModeDesc" ref="a36a2a9eddde83a15db2d0fd8307f1093" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DXGI_MODE_DESC <a class="el" href="classOgre_1_1D3D11VideoMode.html#a36a2a9eddde83a15db2d0fd8307f1093">Ogre::D3D11VideoMode::getModeDesc</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a889dfa6ecb73b6c306e5ca0c6c1e6450"></a><!-- doxytag: member="Ogre::D3D11VideoMode::getRefreshRate" ref="a889dfa6ecb73b6c306e5ca0c6c1e6450" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DXGI_RATIONAL <a class="el" href="classOgre_1_1D3D11VideoMode.html#a889dfa6ecb73b6c306e5ca0c6c1e6450">Ogre::D3D11VideoMode::getRefreshRate</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="adfe7cdaf5f650a70f03ec0b75ec7f379"></a><!-- doxytag: member="Ogre::D3D11VideoMode::getWidth" ref="adfe7cdaf5f650a70f03ec0b75ec7f379" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1D3D11VideoMode.html#adfe7cdaf5f650a70f03ec0b75ec7f379">Ogre::D3D11VideoMode::getWidth</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae72d8bb557e64d2fb42e7776eb1fa651"></a><!-- doxytag: member="Ogre::D3D11VideoMode::increaseRefreshRate" ref="ae72d8bb557e64d2fb42e7776eb1fa651" args="(DXGI_RATIONAL rr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D11VideoMode.html#ae72d8bb557e64d2fb42e7776eb1fa651">Ogre::D3D11VideoMode::increaseRefreshRate</a> </td>
          <td>(</td>
          <td class="paramtype">DXGI_RATIONAL&#160;</td>
          <td class="paramname"><em>rr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab93999ea7274f52091cf83ae0eaa1323"></a><!-- doxytag: member="Ogre::D3D11VideoMode::mDisplayMode" ref="ab93999ea7274f52091cf83ae0eaa1323" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DXGI_OUTPUT_DESC <a class="el" href="classOgre_1_1D3D11VideoMode.html#ab93999ea7274f52091cf83ae0eaa1323">Ogre::D3D11VideoMode::mDisplayMode</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11VideoMode_8h_source.html#l00040">40</a> of file <a class="el" href="OgreD3D11VideoMode_8h_source.html">OgreD3D11VideoMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="a86ea17b0769a979b8ff4ccf9e7f87da1"></a><!-- doxytag: member="Ogre::D3D11VideoMode::mModeDesc" ref="a86ea17b0769a979b8ff4ccf9e7f87da1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DXGI_MODE_DESC <a class="el" href="classOgre_1_1D3D11VideoMode.html#a86ea17b0769a979b8ff4ccf9e7f87da1">Ogre::D3D11VideoMode::mModeDesc</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11VideoMode_8h_source.html#l00041">41</a> of file <a class="el" href="OgreD3D11VideoMode_8h_source.html">OgreD3D11VideoMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5353217f4f52fb6e9dd27110732a4387"></a><!-- doxytag: member="Ogre::D3D11VideoMode::modeNumber" ref="a5353217f4f52fb6e9dd27110732a4387" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1D3D11VideoMode.html#a5353217f4f52fb6e9dd27110732a4387">Ogre::D3D11VideoMode::modeNumber</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11VideoMode_8h_source.html#l00042">42</a> of file <a class="el" href="OgreD3D11VideoMode_8h_source.html">OgreD3D11VideoMode.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D11VideoMode_8h_source.html">OgreD3D11VideoMode.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:14
</p>
</body>
</html>
